<p>User: <a href="https://gitlab.com/user_name">@user_name</a></p>

<p>Group: <a href="https://gitlab.com/group_name">@group_name</a></p>

<p>Subgroup: <a href="https://gitlab.com/maingroup123/group_name">@maingroup123/group_name</a></p>

<p>Namespaced references:</p>

<p>Project Issue: <a href="https://gitlab.com/group_name/project_name/issues/12345">group_name/project_name#12345</a></p>

<p>Merge Request: <a href="https://gitlab.com/group_name/project_name/merge_requests/12345">group_name/project_name!12345</a></p>

<p>Project Snippet: <a href="https://gitlab.com/group_name/project_name/snippets/12345">group_name/project_name$12345</a></p>

<p>Project Commit: <a href="https://gitlab.com/group_name/project_name/commit/9ba12248">group_name/project_name@9ba12248</a> not to get confused by email: john.doe@example.com</p>

<p>Project Commit with full-size SHA: <a href="https://gitlab.com/group_name/project_name/commit/71af3184fa548cdf45ba0463309b89e52355162c">group_name/project_name@71af3184fa548cdf45ba0463309b89e52355162c</a></p>

<p>Project Commit Range comparison: <a href="https://gitlab.com/group_name/project_name/compare/9ba12248...b19a04f5">group_name/project_name@9ba12248...b19a04f5</a></p>

<p>Unsupported non-namespaced references:</p>

<p>Local Project Issue: #12345</p>

<p>Local Merge Request: !12345</p>

<p>Local Project Snippet: $12345</p>

<p>Local Project Commit: @9ba12248</p>

<p>Local Project Commit with full-size SHA: @71af3184fa548cdf45ba0463309b89e52355162c</p>

<p>Local Project Commit Range comparison: @9ba12248...b19a04f5</p>
